이전에 리눅스용 동영상 가속 시스템에 대해 이야기 한 적이 있습니다.

https://moordev.tistory.com/181


VAAPI, VDAPU 등이 존재한다고 했지요. 이중에서 VDPAU는 Nvidia의 것이고 인코딩에 대해서는 호환Wrapper를 써도 쓸 수가 없습니다.

VAAPI는 인텔과 AMD 둘 다 쓸 수 있고 VAAPI는 인코딩과 디코딩 둘 다 지원이 가능합니다.


그래서 vaapi지원 여부를 보기 위해서 vainfo를 봤습니다.

에러가 나네요...


이 경우에는 mesa기반의 vaapi 드라이버가 설치되지 않은 것입니다.

sudo apt install mesa-va-drivers


마찬가지로 vdpau도 확인해 봤습니다.



vdpau도 지원이 안 되는군요...

sudo apt install mesa-vdpau-drivers


이제 지원이 되는군요. VAAPI나 VDPAU로 이제 구동이 됩니다.

VLC나 크롬의 HTML5플레이어를 사용하면 이전보다 훨씬 더 쌩쌩한 것을 볼 수 있습니다.

댓글을 달아 주세요